- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Queries which auth providers are used by a given workload ID.
HTTP request
GET https://agentidentity.googleapis.com/v1/{parent=projects/*/locations/*}/authProviders:query
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where the search is performed. Format: projects/{project}/locations/{location} |
Query parameters
| Parameters | |
|---|---|
workloadId |
Required. The workload identifier to filter by. |
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. The maximum page size is 1000. |
pageToken |
Optional. A token, which can be sent as A page token, received from a previous authProviders.query call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to authProviders.query must match the call that provided the page token. |
Request body
The request body must be empty.
Response body
Response message for authProviders.query.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "authProviderNames": [ string ], "nextPageToken": string } |
| Fields | |
|---|---|
authProviderNames[] |
The unique list of auth provider resource names used by the workload. |
nextPageToken |
A token identifying a page of results the server should return. If this field is omitted, there are no subsequent pages. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
agentidentity.authProviders.list
For more information, see the IAM documentation.